MMEvents.createProcesses(event => {
    event
    .create('mm:hephaestus_forge_recipe')
    .structureId('mm:hephaestus_forge_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'thermal:invar_ingot',
        count: 4
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'thermal:gold_plate',
        count: 4
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'solarflux:capacity_upgrade',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'forbidden_arcanus:soul',
        count: 50
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 1000
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'kubejs:liquid_aureal',
        amount: 500
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'mob_grinding_utils:fluid_xp',
        amount: 1000
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'bloodmagic:life_essence_fluid',
        amount: 1000
      }
    })
    .output({
      type: 'mm:output/simple',
      ingredient: {
        type: 'mm:item',
        item: 'thermal:upgrade_augment_1',
        count: 1
      }
    });
    event
    .create('mm:hephaestus_forge_recipe')
    .structureId('mm:hephaestus_forge_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'powah:dielectric_rod',
        count: 3
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'powah:dielectric_rod_horizontal',
        count: 3
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'powah:dielectric_casing',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'forbidden_arcanus:soul',
        count: 50
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 1000
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'kubejs:liquid_aureal',
        amount: 500
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'mob_grinding_utils:fluid_xp',
        amount: 1000
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'bloodmagic:life_essence_fluid',
        amount: 1000
      }
    })
    .output({
      type: 'mm:output/simple',
      ingredient: {
        type: 'mm:item',
        item: 'powah:energizing_orb',
        count: 1
      }
    })
    })